// Written by arindfle, slight modifications by TeTeT

private ["_PlaneDir", "_APX", "_APL", "_APR", "_AP1", "_AP2", "_AP3"];

params ["_Plane", "_Carrier"];

_PlaneDir = 0;
_Plane setcombatmode "blue";
_Plane setbehaviour "careless";
_Plane setspeedmode "limited";
_APX = 0;
_APL = "Land_HelipadEmpty_F" createvehicle getpos _Carrier;
_APL attachto [_Carrier,[-1200,-6000,1400]];
_APR = "Land_HelipadEmpty_F" createvehicle getpos _Carrier;
_APR attachto [_Carrier,[1200,-6000,1000]];
_AP1 = "Land_HelipadEmpty_F" createvehicle getpos _Carrier;
_AP1 attachto [_Carrier,[400,-3600,1000]];
_AP2 = "Land_HelipadEmpty_F" createvehicle getpos _Carrier;
_AP2 attachto [_Carrier,[300,-2400,1000]];
_AP3 = "Land_HelipadEmpty_F" createvehicle getpos _Carrier;
_AP3 attachto [_Carrier,[150,-1200,800]];

if ((_Plane distance _APL) <= (_Plane distance _APR)) then {
        _APX = _APL;
} else {
        _APX = _APR;
};
_Plane flyinheight (getposATL _APX select 2);
waituntil {(getposATL _Plane select 2) < ((getposATL _APX select 2) + 100)};
_Plane domove (position _APX);
waituntil {(_Plane distance _APX) < 150};
_Plane flyinheight (getposATL _AP1 select 2);
_Plane domove (position _AP1);
waituntil {(_Plane distance _AP1) < 150};
_Plane flyinheight (getposATL _AP2 select 2);
_Plane domove (position _AP2);
waituntil {(_Plane distance _AP2) < 150};
_Plane flyinheight (getposATL _AP3 select 2);
_Plane domove (position _AP3);
waituntil {(_Plane distance _AP3) < 150};

deletevehicle _APX;
deletevehicle _APL;
deletevehicle _APR;
deletevehicle _AP1;
deletevehicle _AP2;
deletevehicle _AP3;
